org.apache.calcite.avatica

## Class MissingResultsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.calcite.avatica.MissingResultsException

All Implemented Interfaces:
  Serializable

    public class MissingResultsException
    extends Exception

An Exception which denotes that a cached Statement is present but has no `ResultSet`.

See Also:
  Serialized Form

### Field Summary

Fields
`private Meta.StatementHandle` `handle`
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`MissingResultsException(Meta.StatementHandle handle)`

### Method Summary

Methods
`Meta.StatementHandle` `getHandle()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### handle

    private final Meta.StatementHandle handle

### Constructor Detail

#### MissingResultsException

    public MissingResultsException(Meta.StatementHandle handle)

### Method Detail

#### getHandle

    public Meta.StatementHandle getHandle()